POST Authenticate User
POST /oauth2/aus4c3z3l8FqrbqDU4h7/v1/token
Operation ID: userLogin.
Authenticate a user by API token based on OAuth 2.0 authentication protocol. Tokens are generated through the Own account. Tokens automatically expire and are deleted after 180 days (regardless if the token was in use or not). Once expired and deleted, the token will not be available to the user, and the user account will not have access to our APIs.
Servers for this operation: https://auth.owndata.com (Authentication server).
Request body (required)
Media type: application/x-www-form-urlencoded. Schema: object.
grant_type(string, required) Constant value. Do not change.
Example:refresh_token.scope(string, required) Constant value. Do not change.
Example:api:access.refresh_token(string, required) The refresh token generated through the Own account.client_id(string, required) OAuth client ID. This value is constant and must not be changed.
Allowed values:0oa4c413eq8wwcEzP4h7. Example:0oa4c413eq8wwcEzP4h7.
Responses
- 200
Authentication succeeded
Headers:
Date(string)Server(string)x-okta-request-id(string)x-xss-protection(integer)p3p(string)content-security-policy-report-only(string)content-security-policy(string)x-rate-limit-limit(integer)x-rate-limit-remaining(integer)x-rate-limit-reset(integer)cache-control(string)pragma(string)expires(integer)x-content-type-options(string)Strict-Transport-Security(string)X-Robots-Tag(string)set-cookie(string)Keep-Alive(string)Connection(string)Transfer-Encoding(string)
Media type:
application/json. Schema:object.token_type(string)expires_in(integer)access_token(string)scope(string)refresh_token(string)
- 400
Authentication failed
Headers:
Date(string)Server(string)x-okta-request-id(string)x-xss-protection(integer)p3p(string)content-security-policy-report-only(string)content-security-policy(string)x-rate-limit-limit(integer)x-rate-limit-remaining(integer)x-rate-limit-reset(integer)cache-control(string)pragma(string)expires(integer)x-content-type-options(string)Strict-Transport-Security(string)set-cookie(string)Connection(string)Transfer-Encoding(string)
Media type:
application/json. Schema:oauthErrorResponse. - 401
Invalid or expired refresh token
Media type:
application/json. Schema:oauthErrorResponse. - 429
Rate limit exceeded
Media type:
application/json. Schema:oauthErrorResponse.